Subject: Re: [Isis-wg] Last Call: Three-Way Handshake for IS-IS Point-to-Point Adjacencies to Informational

From: "Norbert v. Bolhuis" <[email-masked]>
Date: Mon, 13 May 2002 17:39:01 +0200 (MET DST)

Am I missing something here ?

In my opinion the 3 problems described in this draft
(draft-ietf-isis-3way-06.txt) hardly exist.

Problem 1
---------
I do not know what exactly is meant with "a cut set of one through the link",
but anyway, if a link comes back up a CSNP will be sent *AND* the
SRM flag for all LSPs will be set for this link. This means all LSPs will be
sent (and the SRM flag won't be reset until explicit acknowledgement).

Problem 2
---------
A unidirectional link failure will not be detected by only one system.
If a node stops receiving p2p IIHs the adjacency will be down *AND* the
node should stop sending IIHs and continue (or restart) sending ISHs.
This causes the adjacency to be down at the remote node also.
ISO10589 may not be very clear about this, but IS-IS implementations are
supposed to work this way.

Problem 3
---------
This might be a problem indeed although I would like to see a more extended
explanation.
If a p2p link is connected to another node the adjacency will be down (because
of the different SystemID) and be established with the new node shortly after.
The same may apply for a p2p link connected to another link on the same system,
the adjacency may go down because the IIH now has a different local circuit ID
field (the 1 octet field), but I'm not sure what ISO10589 says about this.
If the adjacency stays up (to another link on the same system) no problems
will arise as long as the remote system takes into account the 'new' local
circuit ID when running SPF.

Norbert van Bolhuis
--------------------
[email-masked]

> X-JNPR-Received-From: outside
> To: IETF-Announce:;@[email-masked]
> Cc: [email-masked]
> From: The IESG <[email-masked]>
> X-OriginalArrivalTime: 06 May 2002 21:17:34.0015 (UTC) FILETIME=[7061B4F0:01C1F543]
> Subject: [Isis-wg] Last Call: Three-Way Handshake for IS-IS Point-to-Point Adjacencies 
to Informational
> X-BeenThere: [email-masked]
> X-Mailman-Version: 2.0rc1
> List-Help: <mailto:[email-masked]?subject=help>
> List-Post: <mailto:[email-masked]>
> List-Subscribe: <http://spider.juniper.net/mailman/listinfo/isis-wg>, 
<mailto:[email-masked]?subject=subscribe>
> List-Id: IETF IS-IS working group <isis-wg.spider.juniper.net>
> List-Unsubscribe: <http://spider.juniper.net/mailman/listinfo/isis-wg>, 
<mailto:[email-masked]?subject=unsubscribe>
> List-Archive: <http://spider.juniper.net/pipermail/isis-wg/>
> 
> 
> The IESG has received a request from the IS-IS for IP Internets Working 
> Group to consider Three-Way Handshake for IS-IS Point-to-Point 
> Adjacencies <draft-ietf-isis-3way-06.txt> as an Informational RFC.  
> 
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action.  Please send any comments to the 
> [email-masked] or [email-masked] mailing lists by May 20, 2002.
> 
> Files can be obtained via 
> http://www.ietf.org/internet-drafts/draft-ietf-isis-3way-06.txt
> 
> _______________________________________________
> Isis-wg mailing list  -  [email-masked]
> http://spider.juniper.net/mailman/listinfo/isis-wg

_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://spider.juniper.net/mailman/listinfo/isis-wg

---

From: "Rajesh Saluja"<[email-masked]>
Date: Mon, 13 May 2002 13:29:48 -0400

> sent (and the SRM flag won't be reset until explicit acknowledgement).

What about the other end which could not detect the link going down and hence will never
send the full database. The databases will be unsynchronized.

> supposed to work this way.

Here we are talking about unreliable point to point links and multiple parallel links
between two systems. Please read it carefully.

> circuit ID when running SPF.

Let me just cut and paste from Dave's mail from archive.

"several router vendors have implemented a scheme where two routers act
together
as a SONET ADM for the purposes of implementing Automatic Protection
Switching (APS.)  The idea is that the trunk circuit comes into a POP,
hits an ADM, and out the other side come the APS Working and Protect
circuits, which then go into different routers.  This is primarily
viewed
as a way of protecting against router/interface failure or somebody
tripping over the last 100 feet of fiber, while keeping the expensive
trunk circuit operating.  The routers coordinate via a back channel
to instigate and react to APS signalling (via the K1/K2 overhead bytes.)

In 1+1 Bidirectional mode, the ADM will send the same bit stream to both

routers, but only listen to one of them.  Without the addition of the
ID stuff, it is theoretically possible that the router on the circuit
not selected by the ADM can think that it has an adjacency to the guy
at the far end of the trunk, which would cause traffic to be poured down

a black hole."

Hope it helps.

Thanks,
Rajesh

--

-------------------------------------------------------------
Rajesh Saluja
Nortel Networks Inc 600 Technology Park Billerica, MA  01821
Ph: (978) 288-7791      Fax: (978) 670-8760
--------------------------------------------------------------